## ros-melodic-ros-canopen 0.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ros_canopen)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-ros-canopen (0.8.5-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-ros-canopen (0.8.4-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-melodic-ros-canopen (0.8.3-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 warning
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: ahcorde

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 06 May 2020 22:00:00 -0000

ros-melodic-ros-canopen (0.8.2-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-melodic-ros-canopen (0.8.1-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-melodic-ros-canopen (0.8.0-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-ros-canopen (0.7.8-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-melodic-ros-canopen (0.7.7-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-melodic-ros-canopen (0.7.6-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-melodic-ros-canopen (0.7.5-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-melodic-ros-canopen (0.7.4-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-ros-canopen (0.7.3-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-ros-canopen (0.7.2-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-melodic-ros-canopen (0.7.1-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-melodic-ros-canopen (0.7.0-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-melodic-ros-canopen (0.6.5-1bionic) bionic; urgency=high

  * updated metapackage
    * format 2
    * updated maintaner
    * added new packages
  * update package URLs
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-melodic-ros-canopen (0.6.4-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-melodic-ros-canopen (0.6.3-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 29 Jun 2015 22:00:00 -0000

ros-melodic-ros-canopen (0.6.2-1bionic) bionic; urgency=high

  * remove canopen_test_utils from metapackage
  * Contributors: Florian Weisshardt

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-ros-canopen (0.6.1-1bionic) bionic; urgency=high

  * add metapackage
  * Contributors: Florian Weisshardt

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros-canopen
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/ros_canopen
Standards-Version: 3.9.2

Package: ros-melodic-ros-canopen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-canopen-402, ros-melodic-canopen-chain-node, ros-melodic-canopen-master, ros-melodic-canopen-motor-node, ros-melodic-socketcan-bridge, ros-melodic-socketcan-interface
Description: A generic canopen implementation for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros-canopen//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
